You are not logged in.

#1 2020-05-18 18:54:34

jared
Member
From: Germany
Registered: 2012-01-16
Posts: 54
Website

[SOLVED] LoadError: libffi.so.6

Hi all,

I made an update this morning

pacman -Syu

and are now running into problems with Ruby, when trying to run the static site generator Jekyll:

LoadError: libffi.so.6: cannot open shared object file: No such file or directory

I've looked around the forums and bug tracker (e.g. https://bugs.archlinux.org/task/66300). The threads and bugs were all from April this year. I could install https://aur.archlinux.org/packages/libffi6 of course, but I am unsure if that's the right move.

I am lost on where to look for solutions or where to report errors. Is this an Arch problem or a Ruby problem?
I'd love to get some advice.

Thank you for taking the time to respond.

Last edited by jared (2020-05-18 19:52:40)

Offline

#2 2020-05-18 18:57:21

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 3,840

Re: [SOLVED] LoadError: libffi.so.6

Have you rebuilt and reinstalled jekyll since the update?


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#3 2020-05-18 19:34:13

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,700
Website

Re: [SOLVED] LoadError: libffi.so.6

Mod note: Moving to AUR Issues


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2020-05-18 19:40:57

jared
Member
From: Germany
Registered: 2012-01-16
Posts: 54
Website

Re: [SOLVED] LoadError: libffi.so.6

Slithery wrote:

Have you rebuilt and reinstalled jekyll since the update?

No, I haven't. I will try that. Thank you for the idea.

@WorMzy: I did not install Jekyll from AUR, I used the official package - https://wiki.archlinux.org/index.php/Jekyll. Does the move make sense due to libffi6 being an AUR package?

---

SOLVED

@Slithery, simple, yet effective. Thank you very much!

Last edited by jared (2020-05-18 19:53:28)

Offline

#5 2020-05-18 20:50:38

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,700
Website

Re: [SOLVED] LoadError: libffi.so.6

jared wrote:

@WorMzy: I did not install Jekyll from AUR, I used the official package

Arch doesn't have an official jekyll package. If it did, it would've been rebuilt for the libffi soname bump. wink

Unfortunately we don't have an 'unsupported' section on the bbs -- the AUR subforum is the closest thing to it. Things that fall into the grey area of 'not-supported by Arch', but not 'problems caused by using an Arch-derivative' tend to end up in this subforum for lack of a better place to put them.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#6 2020-05-18 21:07:00

jared
Member
From: Germany
Registered: 2012-01-16
Posts: 54
Website

Re: [SOLVED] LoadError: libffi.so.6

This forum is always in tip-top condition and an invaluable resource for every user. Your support and work is excellent since many years and I appreciate that very much. Just so you know. Kudos!

Offline

#7 2020-05-22 13:00:16

Bamarin
Member
From: Sweden
Registered: 2019-12-22
Posts: 9
Website

Re: [SOLVED] LoadError: libffi.so.6

Even after updating gem

$ gem update 

and reinstalling Jekyll

$ gem install jekyll

I still get the same error.

Was this all the necessary for you to fix the problem?

Offline

#8 2020-05-22 13:33:02

loqs
Member
Registered: 2014-03-06
Posts: 10,578

Re: [SOLVED] LoadError: libffi.so.6

Bamarin please start your own thread and provide the commands you have run and their full output.

Offline

#9 2020-05-22 16:40:11

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,309

Re: [SOLVED] LoadError: libffi.so.6

Bamarin wrote:

Even after updating gem

$ gem update 

and reinstalling Jekyll

$ gem install jekyll

I still get the same error.

Was this all the necessary for you to fix the problem?

My understanding was that the problem was solved by reinstalling jekyll and its dependencies from the AUR, instead of with gem install.

Note that jekyll doesn't need to be rebuilt (in the quarry repository, it is an "any" package and contains no binary code, only *.rb scripts), one of its dependencies does. This explains why 'gem install jekyll' is a complete and utter waste of time that doesn't help and isn't intended to help.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Online

#10 Yesterday 18:02:25

jared
Member
From: Germany
Registered: 2012-01-16
Posts: 54
Website

Re: [SOLVED] LoadError: libffi.so.6

Bamarin wrote:

Even after updating gem

$ gem update 

and reinstalling Jekyll

$ gem install jekyll

I still get the same error.

Was this all the necessary for you to fix the problem?

I may be too late answering this. Yes, that was the only thing needed.

However, I did other things as well, which might have influenced the outcome:

1. delete Gemfile
2. I ran $ bundle install

Offline

Board footer

Powered by FluxBB